Bug 120649 - Menu bar is missing with gtk3 over ssh
Summary: Menu bar is missing with gtk3 over ssh
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.2.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Main-Menu GTK3
  Show dependency treegraph
 
Reported: 2018-10-16 18:45 UTC by Muhammet Kara
Modified: 2021-04-17 04:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Missing menu bar screenshot (49.08 KB, image/png)
2018-10-16 18:45 UTC, Muhammet Kara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammet Kara 2018-10-16 18:45:57 UTC
Created attachment 145770 [details]
Missing menu bar screenshot

To reproduce:
1- Connect to remote linux server with ssh -X
2- Run LibreOffice with GTK3

What happens:
No menu bar

When run with X11, or GTK2, there is no problem.

Version: 6.2.0.0.alpha0+
Build ID: e77f63d6ab56d526bebaa409b9b03eee5a05609d
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 1 Muhammet Kara 2018-10-16 18:51:20 UTC
Reproduced on 5.2.7.2

Version: 5.2.7.2
Build ID: 1:5.2.7-1+deb9u4
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 2 Muhammet Kara 2018-10-16 18:53:42 UTC
And this is what I see on terminal:

Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "canberra-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "canberra-gtk-module"

** (soffice:17541): CRITICAL **: void g_lo_menu_insert_section(GLOMenu*, gint, const gchar*, GMenuModel*): assertion 'G_IS_LO_MENU (menu)' failed

(soffice:17541): Gtk-CRITICAL **: gtk_menu_bar_new_from_model: assertion 'G_IS_MENU_MODEL (model)' failed

(soffice:17541): Gtk-CRITICAL **: gtk_widget_insert_action_group: assertion 'GTK_IS_WIDGET (widget)' failed

(soffice:17541): Gtk-CRITICAL **: gtk_widget_set_hexpand: assertion 'GTK_IS_WIDGET (widget)' failed

(soffice:17541): Gtk-CRITICAL **: gtk_grid_attach: assertion 'GTK_IS_WIDGET (child)' failed

(soffice:17541): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(soffice:17541): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(soffice:17541): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(soffice:17541): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

** (soffice:17541): CRITICAL **: void g_lo_menu_insert_section(GLOMenu*, gint, const gchar*, GMenuModel*): assertion 'G_IS_LO_MENU (menu)' failed

(soffice:17541): Gtk-CRITICAL **: gtk_menu_bar_new_from_model: assertion 'G_IS_MENU_MODEL (model)' failed

(soffice:17541): Gtk-CRITICAL **: gtk_widget_insert_action_group: assertion 'GTK_IS_WIDGET (widget)' failed

(soffice:17541): Gtk-CRITICAL **: gtk_widget_set_hexpand: assertion 'GTK_IS_WIDGET (widget)' failed

(soffice:17541): Gtk-CRITICAL **: gtk_grid_attach: assertion 'GTK_IS_WIDGET (child)' failed

(soffice:17541): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(soffice:17541): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(soffice:17541): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(soffice:17541): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed
Comment 3 Jan-Marek Glogowski 2018-10-25 18:24:12 UTC
I have the same problem, if I start LO in my Ubuntu chroot on my Debian system running KDE5. Running the same binary directly in Debian has no problems, so I guess it's some problem with the KDE5 global menu (which I don't use).

What DE are you running locally?
Comment 4 Muhammet Kara 2018-10-25 18:26:36 UTC
(In reply to Jan-Marek Glogowski from comment #3)
> I have the same problem, if I start LO in my Ubuntu chroot on my Debian
> system running KDE5. Running the same binary directly in Debian has no
> problems, so I guess it's some problem with the KDE5 global menu (which I
> don't use).
> 
> What DE are you running locally?

I have two machines: GNOME on Debain, and GNOME on Fedora. The result is the same.
Comment 5 Caolán McNamara 2018-12-20 11:20:09 UTC
I've tried sshing -Y from Fedora 29 to Ubuntu 16.04 and I got a menubar. I tried sshying from Ubuntu 16.04 to Feodra 29 and also got a menubar, so I can't reproduce this. Is this still a problem ?
Comment 6 Jan-Marek Glogowski 2018-12-20 14:54:29 UTC
(In reply to Caolán McNamara from comment #5)
> I've tried sshing -Y from Fedora 29 to Ubuntu 16.04 and I got a menubar. I
> tried sshying from Ubuntu 16.04 to Feodra 29 and also got a menubar, so I
> can't reproduce this. Is this still a problem ?

Still happens for me. My bet is still on KDE5 on the local machine.
And it also still happens when starting LO master with gtk3 in my local Ubuntu 18.04 chroot which is a Debian Buster running KDE5.

The chroot is managed by schroot / sbuild and created via:

- sbuild-createchroot bionic /srv/chroots/bionic-amd64-lobuild http://archive.ubuntu.com/ubuntu
- set the profile in the config to desktop
- schroot -c bionic-amd64-lobuild -u root
- edit /etc/apt/source.list to add universe and copy a deb-src
- apt build-dep libreoffice
- apt install libnss-sss

That setup is sufficient for me to build and run a local LO in it.
Everything is fine if I start the build LO in Debian.

FWIW gtk3 now crashes for me on startup when I ssh into my remote chroot. But since the console output starts with "Corrupted shared library list: 0x302e70 != 0x2f87c0", I won't trust anything from a gdb's output.
Comment 7 Muhammet Kara 2019-02-23 19:33:15 UTC
Just tested with LibreOfficeDev 6.3.0.0.alpha0 10edac7eccc74aca057a086fed6a58f4387920b6 on Ubuntu 18.04.2 LTS (GNU/Linux 4.15.0-45-generic x86_64).

The local machine is also Ubuntu (18.04.1 LTS).

The issue still exists with GTK 3.
Comment 8 Muhammet Kara 2019-02-23 20:39:14 UTC
Now I see the menubar, and this is what I did:

Gtk-Message: 19:36:21.744: Failed to load module "canberra-gtk-module"
Gtk-Message: 19:36:21.981: Failed to load module "canberra-gtk-module
    sudo apt install libcanberra-gtk3-module
    --> Warning is gone, but the menu is still missing.

sudo apt install libreoffice-gtk3
    --> Menu is still missing

sudo apt install libreoffice-gnome 
    --> Didn't install anything really, just a meta-package. Still no menu.

sudo apt install libreoffice-gtk
    --> No luck.

sudo apt install gnome-shell
    --> Installed a bunch of packages. Now I see the menubar.
Comment 9 Nicolas Göddel 2019-04-17 13:33:46 UTC
Any idea which package is responsible to make it work? I don't want to install the whole gnome-shell dependencies to make it work.
Comment 10 Nicolas Göddel 2019-04-17 13:50:32 UTC
I installed these packages and now it works:

apt-get install libdbusmenu-gtk3-4 dbus-user-session dbus-x11

I don't know exactly if all three are needed because I tried one after another and after the last one it worked.
Comment 11 QA Administrators 2021-04-17 04:07:50 UTC
Dear Muhammet Kara,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug